# 1. Utwórz pięcioelementowy wektor łańcuchów znaków
my_strings <- c('Życzę', 'Ci', 'ba"R"dzo', 'miłego', 'dnia')

# 1a. Dostęp do 1 i 4 elementu wektora
my_strings[c(1,4)]

# 1a. Bardziej egzotyczny sposób ;)
my_strings[c(sqrt(1), 2^2)]

# 2. Utwórz dwa wektory, x i y, o długości 4. 
# Pierwszy wektor ma zawierać wartości liczbowe, a drugi logiczne. 
# Pomnóż je i zapisz rezultat w obiekcie z. Jaki wynik otrzymałeś?

x <- c(1, 2, 3, 4)
y <- c(TRUE, FALSE, TRUE, FALSE)
z <- x * y
z

### Wartości logiczne zostały zamienione na liczby, którymi są w rzeczywistości.
### Tak samo jest w Excelu, możesz to sprawdzić!

# 3.Pobierz pakiet nycflights13 z repozytorium CRAN. 
# Ile zbiorów danych znajduje się w tym pakiecie?

# install.packages('nycflights13')
library(nycflights13)
data(package = 'nycflights13')
### 5 zbiorów danych

# 3a. Jeden ze zbiorów nazywa się airports.
# Wyświetl kilka pierwszych wierszy z jego ramki danych oraz oblicz statystyki opisowe

data('airports')

head(airports)
summary(airports)

# 3b. W pakiecie znajdziesz też zbiór weather. 
# Wybierz z ramki danych wiersze od 10 do 12 i kolumny od 4 do 7.
# Zapisz wyniki w pliku .csv i arkuszu Excela

data('weather')

weather_subset <- weather[10:12, 4:7]

library(tidyverse)
write_csv(weather_subset, 'dane-wyjściowe/weather_podzbiór.csv')

library(writexl)
write_xlsx(weather_subset, 'dane-wyjściowe/weather_podzbiór.xlsx')

